﻿<?xml version="1.0" encoding="utf-8"?>
<Config>
    <NET>
        <NOISE_PROFILE>    <!--calibration-->
            <QUADRA_MODE>
                <K_A>0.00090000</K_A>
                <K_B>0.00840000</K_B>
                <B_A>0.00000200</B_A>
                <B_B>0.00080000</B_B>
                <BL>16.0</BL>
            </QUADRA_MODE>
            <TELE_MODE>
                <!--          iso0  iso1   -->
                <ISO_SECTION> 160  6400</ISO_SECTION>
                <iso0>
                    <K_A>0.00105702</K_A>
                    <K_B>-0.00715438</K_B>
                    <B_A>0.00000197</B_A>
                    <B_B>0.00194968</B_B>
                    <BL>16.0</BL>
                </iso0>
                <iso1>
                    <K_A>0.00102640</K_A>
                    <K_B>0.00225267</K_B>
                    <B_A>0.00000213</B_A>
                    <B_B>0.00028718</B_B>
                    <BL>16.0</BL>
                </iso1>
            </TELE_MODE>
            <BAYER_MODE>
                <!--          iso0  iso1  iso2-->
                <ISO_SECTION> 1600  3200  6400</ISO_SECTION>
                <iso0>
                    <K_A>0.00024693</K_A>
                    <K_B>0.00073506</K_B>
                    <B_A>0.00000050</B_A>
                    <B_B>0.00004528</B_B>
                    <BL>16.0</BL>
                </iso0>
                <iso1>
                    <K_A>0.00022658</K_A>
                    <K_B>0.02902132</K_B>
                    <B_A>0.00000016</B_A>
                    <B_B>0.00023640</B_B>
                    <BL>16.0</BL>
                </iso1>
                <iso2>
                    <K_A>0.00021693</K_A>
                    <K_B>0.06234201</K_B>
                    <B_A>0.00000020</B_A>
                    <B_B>0.00014768</B_B>
                    <BL>16.0</BL>
                </iso2>
            </BAYER_MODE>
            <QRF_MODE>
                <BAYER_FRAME>
                    <K_A>0.00023422</K_A>
                    <K_B>0.00190568</K_B>
                    <B_A>0.00000024</B_A>
                    <B_B>0.00025099</B_B>
                    <BL>16.0</BL>
                </BAYER_FRAME>
                <QUADRA_FRAME>
                    <K_A>0.00093687</K_A>
                    <K_B>0.00762271</K_B>
                    <B_A>0.00000096</B_A>
                    <B_B>0.00100396</B_B>
                    <BL>16.0</BL>
                </QUADRA_FRAME>
                <BAYER_VSTMAX>
                    <K_A>0.00023511</K_A>
                    <K_B>0.00985526</K_B>
                    <B_A>0.00000021</B_A>
                    <B_B>0.00002984</B_B>
                    <BL>16.0</BL>
                </BAYER_VSTMAX>
            </QRF_MODE>
            <WIDE_MODE>
               <K_A>0.00014034</K_A>
               <K_B>0.00162875</K_B>
               <B_A>0.00000005</B_A>
               <B_B>0.00006657</B_B>
               <B_C>0.01269799</B_C>
               <BL>16.0</BL>
            </WIDE_MODE>
        </NOISE_PROFILE>
        <NOISE_ADD_BACK>
            <QUADRA_MODE>
                <USE_NOISE_ADD_BACK> 1 </USE_NOISE_ADD_BACK>
                <NOISE_GAIN> 1.5 </NOISE_GAIN>
                <!--                   iso0  iso1  iso2  iso3  iso4  iso5-->
                <LUMA_BLR_ISO_SECTION> 400    800   1600  3200  4800  6000</LUMA_BLR_ISO_SECTION>    <!--[0,6400]-->
                <LUMA_BLR_HF>
                    <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                    <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                    <iso0>24  64  0.24  0.08</iso0>
                    <iso1>24  64  0.32  0.12</iso1>
                    <iso2>24  64  0.40  0.16</iso2>
                    <iso3>24  64  0.48  0.24</iso3>
                    <iso4>24  64  0.56  0.32</iso4>
                    <iso5>24  64  0.64  0.48</iso5>
                </LUMA_BLR_HF>
                <LUMA_BLR_LF>
                    <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                    <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                    <iso0>24  64  0     0   </iso0>
                    <iso1>24  64  0     0   </iso1>
                    <iso2>24  64  0.12  0.04 </iso2>
                    <iso3>24  64  0.24  0.08</iso3>
                    <iso4>24  64  0.32  0.16</iso4>
                    <iso5>24  64  0.48  0.24</iso5>
                </LUMA_BLR_LF>
                <!--                iso0  iso1  iso2  iso3  iso4  iso5 -->
                <SIGMA_ISO_SECTION> 100   600   1000  2500  3000  5000</SIGMA_ISO_SECTION>     <!--[0,6400]-->
                <SIGMA_HF>
                    <!--[0,4]-->
                    <iso0>0.4</iso0>
                    <iso1>0.4</iso1>
                    <iso2>0.4</iso2>
                    <iso3>0.5</iso3>
                    <iso4>0.5</iso4>
                    <iso5>0.6</iso5>
                </SIGMA_HF>
                <SIGMA_LF>
                    <!--[0,4]-->
                    <iso0>0.5</iso0>
                    <iso1>0.6</iso1>
                    <iso2>0.6</iso2>
                    <iso3>0.7</iso3>
                    <iso4>0.7</iso4>
                    <iso5>1.0</iso5>
                </SIGMA_LF>
            </QUADRA_MODE>
            <WIDE_MODE>
                <USE_NOISE_ADD_BACK> 1 </USE_NOISE_ADD_BACK>
                <NOISE_GAIN> 1.5 </NOISE_GAIN>
                <!--                   iso0  iso1  iso2  iso3  iso4  iso5-->
                <LUMA_BLR_ISO_SECTION> 400    800   1600  3200  4800  6000</LUMA_BLR_ISO_SECTION>
                <!--[0,6400]-->
                <LUMA_BLR_HF>
                    <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                    <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                    <iso0>24  200  0.24  0.00</iso0>
                    <iso1>24  200  0.32  0.00</iso1>
                    <iso2>24  200  0.40  0.00</iso2>
                    <iso3>24  200  0.48  0.00</iso3>
                    <iso4>24  200  0.56  0.00</iso4>
                    <iso5>24  200  0.64  0.00</iso5>
                </LUMA_BLR_HF>
                <LUMA_BLR_LF>
                    <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                    <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                    <iso0>24  200  0     0.00 </iso0>
                    <iso1>24  200  0     0.00 </iso1>
                    <iso2>24  200  0.12  0.00 </iso2>
                    <iso3>24  200  0.24  0.00 </iso3>
                    <iso4>24  200  0.32  0.00 </iso4>
                    <iso5>24  200  0.48  0.00 </iso5>
                </LUMA_BLR_LF>
                <!--                iso0  iso1  iso2  iso3  iso4  iso5 -->
                <SIGMA_ISO_SECTION> 100   600   1000  2500  3000  5000</SIGMA_ISO_SECTION>
                <!--[0,6400]-->
                <SIGMA_HF>
                    <!--[0,4]-->
                    <iso0>0.4</iso0>
                    <iso1>0.4</iso1>
                    <iso2>0.4</iso2>
                    <iso3>0.5</iso3>
                    <iso4>0.5</iso4>
                    <iso5>0.6</iso5>
                </SIGMA_HF>
                <SIGMA_LF>
                    <!--[0,4]-->
                    <iso0>0.5</iso0>
                    <iso1>0.6</iso1>
                    <iso2>0.6</iso2>
                    <iso3>0.7</iso3>
                    <iso4>0.7</iso4>
                    <iso5>1.0</iso5>
                </SIGMA_LF>
            
            </WIDE_MODE>
            <BAYER_MODE>
                <USE_NOISE_ADD_BACK> 1 </USE_NOISE_ADD_BACK>
                <NOISE_GAIN> 1.5 </NOISE_GAIN>
                <!--                   iso0  iso1  iso2  iso3  iso4  iso5-->
                <LUMA_BLR_ISO_SECTION> 300   1000  1500  2500  3000  5000</LUMA_BLR_ISO_SECTION>    <!--[0,6400]-->
                <LUMA_BLR_HF>
                    <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                    <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                    <iso0>17  25  0.04  0.02</iso0>
                    <iso1>18  25  0.1   0.18 </iso1>
                    <iso2>18  25  0.15  0.22 </iso2>
                    <iso3>25  40  0.25  0.24</iso3>
                    <iso4>17  40  0.3   0.30</iso4>
                    <iso5>25  60  0.32  0.30</iso5>
                </LUMA_BLR_HF>
                <LUMA_BLR_LF>
                    <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                    <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                    <iso0>17  25  0.07  0.05 </iso0>
                    <iso1>18  25  0.1   0.07</iso1>
                    <iso2>18  25  0.14  0.1</iso2>
                    <iso3>18  25  0.14  0.1 </iso3>
                    <iso4>18  25  0.14  0.1 </iso4>
                    <iso5>18  25  0.2   0.1 </iso5>
                </LUMA_BLR_LF>
                <!--              iso0  iso1  iso2  iso3  iso4  iso5 -->
              <SIGMA_ISO_SECTION> 100   600   1000  2500  3000  5000</SIGMA_ISO_SECTION>    <!--[0,6400]-->
                <SIGMA_HF>
                    <!--[0,4]-->
                    <iso0>0.4</iso0>
                    <iso1>0.4</iso1>
                    <iso2>0.4</iso2>
                    <iso3>0.5</iso3>
                    <iso4>0.5</iso4>
                    <iso5>0.6</iso5>
                </SIGMA_HF>
                <SIGMA_LF>
                    <!--[0,4]-->
                    <iso0>0.5</iso0>
                    <iso1>0.6</iso1>
                    <iso2>0.6</iso2>
                    <iso3>0.7</iso3>
                    <iso4>0.7</iso4>
                    <iso5>1.0</iso5>
                </SIGMA_LF>
            </BAYER_MODE>
            <TELE_1X_MODE>
               <USE_NOISE_ADD_BACK> 1 </USE_NOISE_ADD_BACK>
                <NOISE_GAIN> 1.0 </NOISE_GAIN>
                <!--                   iso0  iso1  iso2  iso3  iso4  iso5-->
                <LUMA_BLR_ISO_SECTION> 100   1000  1500  2500  3000  5000</LUMA_BLR_ISO_SECTION>
                <!--[0,6400]-->
                <LUMA_BLR_HF>
                <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                <iso0>17  25  0.02  0.01</iso0>
                <iso1>18  25  0.06  0.03 </iso1>
                <iso2>18  25  0.06  0.03 </iso2>
                <iso3>25  40  0.1  0.05</iso3>
                <iso4>17  40  0.15  0.1</iso4>
                <iso5>25  60  0.25  0.15</iso5>
              </LUMA_BLR_HF>
              <LUMA_BLR_LF>
                <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                <iso0>17  25  0.04   0.03 </iso0>
                <iso1>18  25  0.07  0.05</iso1>
                <iso2>18  25  0.1  0.08</iso2>
                <iso3>25  40  0.2   0.1 </iso3>
                <iso4>17  25  0.2   0.1 </iso4>
                <iso5>25  60  0.3   0.2 </iso5>
              </LUMA_BLR_LF>
              <!--                iso0  iso1  iso2  iso3  iso4  iso5 -->
              <SIGMA_ISO_SECTION> 100   600   1000  2500  3000  5000</SIGMA_ISO_SECTION>
              <!--[0,6400]-->
              <SIGMA_HF>
                <!--[0,4]-->
                <iso0>0.4</iso0>
                <iso1>0.4</iso1>
                <iso2>0.4</iso2>
                <iso3>0.5</iso3>
                <iso4>0.5</iso4>
                <iso5>0.6</iso5>
              </SIGMA_HF>
              <SIGMA_LF>
                <!--[0,4]-->
                <iso0>0.5</iso0>
                <iso1>0.6</iso1>
                <iso2>0.6</iso2>
                <iso3>0.7</iso3>
                <iso4>0.7</iso4>
                <iso5>1.0</iso5>
              </SIGMA_LF>
            </TELE_1X_MODE>
            <TELE_2X_MODE>
                <USE_NOISE_ADD_BACK> 1 </USE_NOISE_ADD_BACK>
                <NOISE_GAIN> 1.0 </NOISE_GAIN>
                <!--                   iso0  iso1  iso2  iso3  iso4  iso5-->
                <LUMA_BLR_ISO_SECTION> 100   1000  1500  2500  3000  5000</LUMA_BLR_ISO_SECTION>
                <!--[0,6400]-->
                <LUMA_BLR_HF>
                    <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                    <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                    <iso0>17  25  0.02  0.01  </iso0>
                    <iso1>18  25  0.06  0.03  </iso1>
                    <iso2>18  25  0.06  0.03  </iso2>
                    <iso3>25  40  0.1   0.05  </iso3>
                    <iso4>17  40  0.15  0.1   </iso4>
                    <iso5>25  60  0.25  0.15  </iso5>
                </LUMA_BLR_HF>
                <LUMA_BLR_LF>
                    <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                    <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                    <iso0>17  25  0.04   0.03 </iso0>
                    <iso1>18  25  0.07   0.05 </iso1>
                    <iso2>18  25  0.1    0.08 </iso2>
                    <iso3>25  40  0.2    0.1  </iso3>
                    <iso4>17  25  0.2    0.1  </iso4>
                    <iso5>25  60  0.3    0.2  </iso5>
                </LUMA_BLR_LF>
                <!--                iso0  iso1  iso2  iso3  iso4  iso5 -->
                <SIGMA_ISO_SECTION> 100   600   1000  2500  3000  5000</SIGMA_ISO_SECTION>
                <!--[0,6400]-->
                <SIGMA_HF>
                    <!--[0,4]-->
                    <iso0>0.4</iso0>
                    <iso1>0.4</iso1>
                    <iso2>0.4</iso2>
                    <iso3>0.5</iso3>
                    <iso4>0.5</iso4>
                    <iso5>0.6</iso5>
                </SIGMA_HF>
                <SIGMA_LF>
                    <!--[0,4]-->
                    <iso0>0.5</iso0>
                    <iso1>0.6</iso1>
                    <iso2>0.6</iso2>
                    <iso3>0.7</iso3>
                    <iso4>0.7</iso4>
                    <iso5>1.0</iso5>
                </SIGMA_LF>
            </TELE_2X_MODE>
            <QRF_MODE>
                <USE_NOISE_ADD_BACK> 0 </USE_NOISE_ADD_BACK>
                <NOISE_GAIN> 1.0 </NOISE_GAIN>
              <!--                   iso0  iso1  iso2  iso3  iso4  iso5-->
              <LUMA_BLR_ISO_SECTION> 300   1000  1500  2500  3000  5000</LUMA_BLR_ISO_SECTION>
              <!--[0,6400]-->
              <LUMA_BLR_HF>
                <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                <iso0>17  25  0.04  0.02</iso0>
                <iso1>18  25  0.15  0.3 </iso1>
                <iso2>18  25  0.15  0.3 </iso2>
                <iso3>25  40  0.32  0.24</iso3>
                <iso4>17  40  0.40  0.36</iso4>
                <iso5>25  60  0.40  0.36</iso5>
              </LUMA_BLR_HF>
              <LUMA_BLR_LF>
                <!--dark_luma_threshold    bright_luma_threshold    dark_blend_ratio    bright_blend_ratio-->
                <!--[0,255]  [0,255]  [0,1]  [0,1]-->
                <iso0>17  25  0.2   0.1 </iso0>
                <iso1>18  25  0.07  0.05</iso1>
                <iso2>18  25  0.14  0.1</iso2>
                <iso3>25  40  0.4   0.2 </iso3>
                <iso4>17  25  0.4   0.2 </iso4>
                <iso5>25  60  0.6   0.3 </iso5>
              </LUMA_BLR_LF>
              <!--                iso0  iso1  iso2  iso3  iso4  iso5 -->
              <SIGMA_ISO_SECTION> 100   600   1000  2500  3000  5000</SIGMA_ISO_SECTION>
              <!--[0,6400]-->
              <SIGMA_HF>
                <!--[0,4]-->
                <iso0>0.4</iso0>
                <iso1>0.4</iso1>
                <iso2>0.4</iso2>
                <iso3>0.5</iso3>
                <iso4>0.5</iso4>
                <iso5>0.6</iso5>
              </SIGMA_HF>
              <SIGMA_LF>
                <!--[0,4]-->
                <iso0>0.5</iso0>
                <iso1>0.6</iso1>
                <iso2>0.6</iso2>
                <iso3>0.7</iso3>
                <iso4>0.7</iso4>
                <iso5>1.0</iso5>
              </SIGMA_LF>
            </QRF_MODE>
        </NOISE_ADD_BACK>
        <FIXED_POINT_AWB> 1 </FIXED_POINT_AWB>
        <PP_MASK_FLAG>
          <PP_FLAG> 1 </PP_FLAG>
          <PP_ALL_FRAMES_ON> 0 </PP_ALL_FRAMES_ON>
          <PP_ISO_MAX> 99999 </PP_ISO_MAX>
        </PP_MASK_FLAG>
        <WIDE_MTFC>
          <ADD_MTFC_MASK> 0 </ADD_MTFC_MASK>
          <widthCenterShift> 0 </widthCenterShift>
          <heightCenterShift> 0 </heightCenterShift>
          <!--         iso0   iso1   iso2   iso3-->
          <ISO_SECTION> 1000   2000   3000  4000</ISO_SECTION>
          <!--sigmaInit  sigmaMax      rInit            rEnd   -->
          <!--[0,128]    [0,128]      [0,width]       [0,height]-->
          <iso0>0         0              100              1000 </iso0>
          <iso1>0         0              100              1000 </iso1>
          <iso2>0         0              100              1000 </iso2>
          <iso3>0         0              100              1000 </iso3>
        </WIDE_MTFC>
        <GPU_ENABLE>0</GPU_ENABLE>
        <TELE_NET_RATIO>
            <!--TELE3x RGGB模式输入网络的顺序由BGR改成RGB-临时策略 JNF&CDY 0:off 1:on-->
            <TELE_TRANS_FLAG>0</TELE_TRANS_FLAG>
            <ZOOM_RATIO_THRESH>60.0</ZOOM_RATIO_THRESH>
        </TELE_NET_RATIO>
        <HDRP_MODEL_ISO_THRESH>800</HDRP_MODEL_ISO_THRESH>
        <!--网络模型目录和文件名-->
        <MODEL_PATH>/vendor/etc/camera/cnnmodel/AIRAW/</MODEL_PATH>
        <MODEL_NAME>
            <!--1x~1.9x-->
            <QRF_MODE>airaw_qrf</QRF_MODE>
            <HDRP_MODE>
                <HDRP_NORMAL>airaw_hdrp</HDRP_NORMAL>
                <HDRP_HIGH_ISO>airaw_hdrp_highIso</HDRP_HIGH_ISO>
            </HDRP_MODE>
            <LITE_MODE>airaw_lite</LITE_MODE>
            <!--2x~5.5x-->
            <QUADRA_MODE>airaw_quad</QUADRA_MODE>
            <!--广角0.6x~1x-->
            <WIDE_MODE>
                <WIDE_NORMAL>airaw_wide</WIDE_NORMAL>
                <WIDE_MTFC>airaw_wide_mtfc</WIDE_MTFC>
            </WIDE_MODE>
            <!--tele >3x-->
            <TELE_MODE>
                <TELE_1X>airaw_tele</TELE_1X>
                <TELE_2X>airaw_tele2x</TELE_2X>
            </TELE_MODE>
            <!--前置-->
            <FORE_MODE>
                <FORE_NORMAL>airaw_fore</FORE_NORMAL>
                <FORE_MTFC>airaw_fore_mtfc</FORE_MTFC>
            </FORE_MODE>
            <!--lfnet-->
            <LFNET>
                <LFNET_MAIN>airaw_lfnet</LFNET_MAIN>
                <LFNET_CONVOUT>airaw_lfConvOut</LFNET_CONVOUT>
            </LFNET>
        </MODEL_NAME>
    </NET>
</Config>
